//*********************************************
//         SHADER
//*********************************************
//	ID		:	common+.shader
//	Autor	:	tremap
//	Date	:	00.00.0000 (m.d.y)
//	Version	:	0.0.1
//	History	:	none
//	Copyleft:
//*********************************************
//	alpha	:	_a
//	diffuse :	_d
//	height	:	_h
//	normal	:	_n
//	shader	:	_s
//	specular:	_p
//*********************************************
textures/aaaantwene/areaportal
{	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}
textures/aaaantwene/caulk
{	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}
textures/aaaantwene/clip
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}
textures/aaaantwene/clusterportal
{	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}
textures/aaaantwene/cushion
{	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}
textures/aaaantwene/donotenter
{	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}
// never used
//
//textures/aaaantwene/energypad
//{
//	qer_editorimage textures/sfx/bluegoal.tga
//	surfaceparm nolightmap
//	cull twosided
//	{
//		map textures//bluegoal.tga
//		blendFunc GL_ONE GL_SRC_ALPHA
//		tcGen environment
//		tcMod turb 0 0.25 0 0.05
//	}
//}
textures/aaaantwene/full_clip // silly shader, use weapclip instead
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}
textures/aaaantwene/hint // should NOT use surfaceparm hint.. strange but true
{	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	// ydnar: yes it should.
}
textures/aaaantwene/invisible // solid, transparent polygons, casts shadows
{	surfaceparm nolightmap			
        {
                map textures/aaaantwene/invisible.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}
textures/aaaantwene/mirror1
{	qer_editorimage textures/aaaantwene/qer_mirror.tga.tga
	surfaceparm nolightmap
	portal
  
	{
		map textures/aaaantwene/shadow.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
       
        

}
textures/aaaantwene/mirror2
{	qer_editorimage textures/aaaantwene/qer_mirror.tga.tga
	surfaceparm nolightmap
	portal
	{
		map textures/aaaantwene/shadow.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
        {
               map textures/aaaantwene/shadow.tga
	       blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
        }

}
textures/aaaantwene/mirror_noclip
{	qer_editorimage textures/aaaantwene/qer_mirror.tga
	portal
	{
		map textures/aaaantwene/mirror_noclip.tga
	}
        {
               map textures/aaaantwene/mirror_noclip.tga
        }
	surfaceparm nonsolid

}
textures/aaaantwene/missileclip
{	qer_trans 0.40
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nodraw
	//surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
}
textures/aaaantwene/nodraw
{	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}
textures/aaaantwene/nodrawnonsolid
{	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}
textures/aaaantwene/nodrop
{	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}
textures/aaaantwene/noimpact
{	qer_editorimage textures/aaaantwene/nolightmap.tga
	surfaceparm noimpact
}
textures/aaaantwene/nolightmap
{	surfaceparm nolightmap
}
textures/aaaantwene/origin
{	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm origin
}
textures/aaaantwene/portal
{	qer_editorimage textures/aaaantwene/qer_portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/aaaantwene/mirror1.tga
		tcMod turb 0 0.25 0 0.05
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite

	}
}
textures/aaaantwene/slick
{	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}
textures/aaaantwene/terrain
{	q3map_terrain
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}
textures/aaaantwene/terrain2
{	q3map_terrain
	qer_editorimage textures/aaaantwene/terrain.tga
	surfaceparm dust
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}
textures/aaaantwene/timportal
{	qer_editorimage textures/aaaantwene/qer_portal.tga
	portal
	surfaceparm nolightmap
	{
		map textures/aaaantwene/portal.tga
		tcMod turb 0 0.25 0 0.05
		blendFunc GL_ONE GL_SRC_ALPHA
		depthWrite
	}
}
textures/aaaantwene/trigger
{	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}
textures/aaaantwene/noclip
{	qer_editorimage textures/aaaantwene/qer_mirror.tga
	surfaceparm nolightmap
	portal
  
	{
		map textures/aaaantwene/shadow.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
    qer_nocarve
        

}
textures/aaaantwene/weapclip
{	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}
textures/aaaantwene/metalclip
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
}
textures/aaaantwene/botclip
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}
//
// ydnar q3map lightgrid bounds
//
// the min/max bounds of brushes with this shader in a map
// will define the bounds of the map's lightgrid (model lighting)
// note: make it as small as possible around player space
// to minimize bsp size and compile time
//
textures/aaaantwene/lightgrid
{	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm lightgrid
}

