//*********************************************
//         SHADER
//*********************************************
//	ID		:	common+.shader
//	Autor	:	tremap
//	Date	:	00.00.0000 (m.d.y)
//	Version	:	0.0.1
//	History	:	none
//	Copyleft:
//*********************************************
//	alpha	:	_a
//	diffuse :	_d
//	height	:	_h
//	normal	:	_n
//	shader	:	_s
//	specular:	_p
//*********************************************
// ink shader for maps
// add a "_celshader" key to worldspawn entity with a value of "common+/cel"
textures/common+/cel
{	qer_editorimage textures/common+/shadow.blend.tga
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_shadeangle 120
	q3map_texturesize 1 1
	q3map_invert
	q3map_offset -1.0
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	sort 16
	{	map textures/common+/shadow.blend.tga
		rgbGen identity
	}
}
textures/common+/error
{	qer_trans 1
	qer_editorimage textures/common+/error.blend.tga
	surfaceparm nolightmap
	{	map textures/common+/error.blend.tga
	}
}
textures/common+/jump-pad
{	qer_trans 0.5
	qer_editorimage textures/common+/jump-pad.blend.tga
	qer_nocarve
	surfaceparm nodraw
}
textures/common+/ladder
{	qer_trans 0.5
	qer_editorimage textures/common+/ladder.blend.tga
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}
textures/common+/liquid
{	qer_trans 0.1
	qer_editorimage textures/common+/liquid.blend.tga
	surfaceparm water
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
}
textures/common+/nonsolid
{	qer_trans 0.1
	qer_editorimage textures/common+/nonsolid.blend.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
}
textures/common+/nonsolidcyan
{	qer_trans 0.1
	qer_editorimage textures/common+/nonsolid.blend.tga
	surfaceparm nonsolid
	{
		map textures/aaaantwene/cyan.tga
	}
}
textures/common+/nothing
{	qer_trans 0.1
	qer_editorimage textures/common+/nothing.blend.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}
textures/common+/nodamage
{	qer_trans 0.1
	qer_editorimage textures/common+/nodamage.blend.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodamage
}
textures/common+/shadow
{	qer_trans 1
	qer_editorimage textures/common+/shadow.blend.tga
	surfaceparm nolightmap
	surfaceparm nomarks
}
textures/common+/vitrefinale
{	qer_editorimage textures/common+/vitre.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nodamage
	
	{
	map textures/common+/reflet.tga
	blendFunc GL_ONE GL_ONE
	tcMod scale 1 1
	rgbGen identity
	rgbGen const ( 0.2 0.2 0.2 )
	tcGen environment
	}
	
	{
	map textures/common+/vitre.tga
	blendFunc GL_ONE GL_ONE
	rgbGen identity
	}
}
textures/common+/trigger_nodamage
{	qer_nocarve
	qer_trans 0.50
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map textures/common+/trigger_nodamage.tga
	}
}
textures/common+/get_here
{	qer_nocarve
	qer_editorimage textures/common+/get_here.tga
	surfaceparm nomarks
	surfaceparm nodamage
	{	map textures/common+/get_here.tga
	}
}
textures/common+/get_here2
{	qer_nocarve
	qer_editorimage textures/common+/get_here2.tga
	surfaceparm nomarks
	surfaceparm nodamage
	{	map textures/common+/get_here2.tga
	}
}
textures/common+/eau_simple_transparente
{
		qer_editorimage textures/common+/WaterSmall2.tga
		{ 
			map textures/common+/WaterSmall2.tga
		}
}
textures/common+/slimenodamage
	{
		qer_editorimage textures/common+/slime7.tga
		q3map_lightimage textures/common+/slime7.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm water
		surfaceparm nolightmap
		surfaceparm trans		

		q3map_surfacelight 100
		tessSize 32
		cull disable

		deformVertexes wave 100 sin 0 1 .5 .5

		{
			map textures/common+/slime7c.tga
			rgbGen const ( 0.5 0.5 0.5 )			
			blendfunc add
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
	
		{
			map textures/common+/slime7.tga
			rgbGen const ( 0.75 0.75 0.75 )			
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .02 .01
		}
}
textures/common+/eau_simple_transparente
{
		qer_editorimage textures/common+/WaterSmall2.tga
		qer_trans .55

		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull none

		deformVertexes wave 32 sin .5 .5 0 .5
		{ 
			map textures/common+/WaterSmall2.tga
			blendFunc blend
			rgbGen identity
		}
}
textures/common+/grillagefinale
{	qer_editorimage textures/common+/grillage.tga
	surfaceparm ladder
	{
	map textures/common+/grillage.tga
	blendFunc GL_ONE GL_ONE
	rgbGen identity
	}
}
textures/common+/slime
	{
		qer_editorimage textures/common+/slime7.tga
		q3map_lightimage textures/common+/slime7.tga
		q3map_globaltexture

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans		

		q3map_surfacelight 100
		tessSize 32
		cull disable

		deformVertexes wave 100 sin 0 1 .5 .5

		{
			map textures/common+/slime7c.tga
			rgbGen const ( 0.5 0.5 0.5 )			
			blendfunc add
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
	
		{
			map textures/common+/slime7.tga
			rgbGen const ( 0.75 0.75 0.75 )			
			blendfunc add
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .02 .01
		}
}